AFPRendererConfig (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.afp

## Class AFPRendererConfig

- java.lang.Object
- - org.apache.fop.render.afp.AFPRendererConfig

- All Implemented Interfaces:
    RendererConfig

      public final class AFPRendererConfig
      extends Object
      implements RendererConfig

  The AFP renderer config object.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AFPRendererConfig.AFPRendererConfigParser` The parser for AFP renderer specific data in the FOP conf.
    `static class` | `AFPRendererConfig.ImagesModeOptions` An enumeration for the various images modes available to the AFP renderer.

    - ### Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig

      `RendererConfig.RendererConfigParser`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `allowJpegEmbedding()`
    `Float` | `getBitmapEncodingQuality()`
    `Integer` | `getBitsPerPixel()`
    `URI` | `getDefaultResourceGroupUri()`
    `Float` | `getDitheringQuality()`
    `AFPFontConfig` | `getFontInfoConfig()` Returns the render-specific font configuration information.
    `Float` | `getLineWidthCorrection()`
    `Integer` | `getResolution()`
    `AFPResourceLevelDefaults` | `getResourceLevelDefaults()`
    `AFPShadingMode` | `getShadingMode()`
    `Boolean` | `isCmykImagesSupported()`
    `Boolean` | `isColorImages()`
    `Boolean` | `isFs45()`
    `Boolean` | `isGocaEnabled()`
    `Boolean` | `isGocaWrapPseg()`
    `Boolean` | `isMaskEnabled()`
    `Boolean` | `isNativeImagesSupported()`
    `Boolean` | `isNativePDFImagesSupported()`
    `Boolean` | `isStrokeGocaText()`
    `Boolean` | `isUseIocaImages()`
    `Boolean` | `isWrapPseg()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFontInfoConfig

          public AFPFontConfig getFontInfoConfig()

      Description copied from interface: `RendererConfig`
      Returns the render-specific font configuration information.
      Specified by:
        `getFontInfoConfig` in interface `RendererConfig`
      Returns:
        the font config

    - #### isColorImages

          public Boolean isColorImages()

    - #### isCmykImagesSupported

          public Boolean isCmykImagesSupported()

    - #### getBitsPerPixel

          public Integer getBitsPerPixel()

    - #### getDitheringQuality

          public Float getDitheringQuality()

    - #### isNativeImagesSupported

          public Boolean isNativeImagesSupported()

    - #### isNativePDFImagesSupported

          public Boolean isNativePDFImagesSupported()

    - #### getShadingMode

          public AFPShadingMode getShadingMode()

    - #### getResolution

          public Integer getResolution()

    - #### getDefaultResourceGroupUri

          public URI getDefaultResourceGroupUri()

    - #### getResourceLevelDefaults

          public AFPResourceLevelDefaults getResourceLevelDefaults()

    - #### isWrapPseg

          public Boolean isWrapPseg()

    - #### isGocaWrapPseg

          public Boolean isGocaWrapPseg()

    - #### isFs45

          public Boolean isFs45()

    - #### isMaskEnabled

          public Boolean isMaskEnabled()

    - #### allowJpegEmbedding

          public Boolean allowJpegEmbedding()

    - #### getBitmapEncodingQuality

          public Float getBitmapEncodingQuality()

    - #### isUseIocaImages

          public Boolean isUseIocaImages()

    - #### getLineWidthCorrection

          public Float getLineWidthCorrection()

    - #### isGocaEnabled

          public Boolean isGocaEnabled()

    - #### isStrokeGocaText

          public Boolean isStrokeGocaText()

Copyright © 2025 Apache Software Foundation. All rights reserved.